/*
 * (c) Copyright 2010 by Volker Bergmann. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted under the terms of the
 * GNU General Public License (GPL).
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * WITHOUT A WARRANTY OF ANY KIND. ALL EXPRESS OR IMPLIED CONDITIONS,
 * REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
 * HEREBY EXCLUDED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package org.databene.dbsanity.model.db;

import java.util.HashSet;
import java.util.Set;

import org.databene.commons.Named;

/**
 * DB Sanity model for a database package.<br/><br/>
 * Created: 05.12.2010 12:00:41
 * @since 0.4
 * @author Volker Bergmann
 */
public class DbsPackage extends DbsPackageHolder implements Named {
	
	private String name;
	String sequencePattern;
	Set<String> irrelevantColumns;

	public DbsPackage(String name) {
		this.name = name;
		this.sequencePattern = null;
		this.irrelevantColumns = new HashSet<String>();
	}

	public String getName() {
		return name;
	}

	public String getSequencePattern() {
	    return sequencePattern;
    }

	public void setSequencePattern(String sequencePattern) {
		this.sequencePattern = sequencePattern;
	}

	public Set<String> getIrrelevantColumns() {
		return irrelevantColumns;
	}

	public void setIrrelevantColumns(Set<String> irrelevantColumns) {
		this.irrelevantColumns = irrelevantColumns;
	}

}
