/*
 * (c) Copyright 2010 by Volker Bergmann. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted under the terms of the
 * GNU General Public License (GPL).
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * WITHOUT A WARRANTY OF ANY KIND. ALL EXPRESS OR IMPLIED CONDITIONS,
 * REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
 * HEREBY EXCLUDED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package org.databene.dbsanity.parser;

import org.databene.dbsanity.model.SanityCheckFile;
import org.databene.dbsanity.model.SanityCheckFolder;

/**
 * Provides utility methods for parsing DB Sanity files and folders.<br/><br/>
 * Created: 21.12.2010 09:50:05
 * @since 0.6
 * @author Volker Bergmann
 */
public class ParseUtil {

	public static SanityCheckFolder getParentSanityCheckFolder(Object[] parentPath) {
		if (parentPath == null)
			return null;
		for (int i = parentPath.length - 1; i >= 0; i--)
			if (parentPath[i] instanceof SanityCheckFolder)
				return (SanityCheckFolder) parentPath[i];
		return null;
	}

	public static SanityCheckFile getParentSanityCheckFile(Object[] parentPath) {
		if (parentPath == null)
			return null;
		for (int i = parentPath.length - 1; i >= 0; i--)
			if (parentPath[i] instanceof SanityCheckFile)
				return (SanityCheckFile) parentPath[i];
		return null;
	}

}
